Name:          cinnamon
Version:       5.4.12
Release:       1mamba
Summary:       A Linux desktop which provides advanced innovative features and a traditional user experience
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://cinnamon.linuxmint.com/
Source:        https://github.com/linuxmint/Cinnamon.git/%{version}/Cinnamon-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: gobject-introspection-devel
BuildRequires: libX11-devel
BuildRequires: libXfixes-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libcinnamon-menus-devel
BuildRequires: libcjs-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk3-devel
BuildRequires: libmuffin-devel
BuildRequires: libpango-devel
BuildRequires: libpython3-devel
BuildRequires: libxapp-devel
BuildRequires: libxml2-devel
## AUTOBUILDREQ-END
BuildRequires: libpulseaudio-devel >= 12.0-1mamba
BuildRequires: libcogl-devel >= 1.18
BuildRequires: libxapp-devel
BuildRequires: libmuffin-devel >= 5.4.7
Requires:      muffin
Requires:      cjs

%description
Cinnamon is a Linux desktop which provides advanced innovative features and a traditional user experience.
The desktop layout is similar to Gnome 2. The underlying technology is forked from Gnome Shell. The emphasis is put on making users feel at home and providing them with an easy to use and comfortable desktop experience.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q -n Cinnamon-%{version}

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name} || touch %{name}.lang

rm -f %{buildroot}%{_libdir}/cinnamon/libcinnamon.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%postun
if [ $1 -eq 0 ]; then
   glib-compile-schemas %{_datadir}/glib-2.0/schemas
fi
:

%files
#-f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/menus/cinnamon-applications-merged
%{_sysconfdir}/xdg/menus/cinnamon-applications.menu
%{_bindir}/cinnamon*
%{_bindir}/xlet-*
%dir %{_libdir}/cinnamon
%{_libdir}/cinnamon/Cinnamon-0.1.typelib
%{_libdir}/cinnamon/St-1.0.typelib
%{_libdir}/cinnamon/libcinnamon.so
%{_libdir}/cinnamon/libst.so
%{_libexecdir}/cinnamon-*
%{_datadir}/applications/cinnamon*.desktop
%{_datadir}/dbus-1/services/org.Cinnamon.*.service
%{_datadir}/dbus-1/services/org.cinnamon.CalendarServer.service
%{_datadir}/desktop-directories/cinnamon-*.directory
%{_datadir}/glib-2.0/schemas/org.cinnamon.gschema.xml
%{_datadir}/polkit-1/actions/org.cinnamon.settings-users.policy
%dir %{_datadir}/cinnamon-session
%dir %{_datadir}/cinnamon-session/sessions
%{_datadir}/cinnamon-session/sessions/cinnamon.session
%{_datadir}/cinnamon-session/sessions/cinnamon2d.session
%dir %{_datadir}/cinnamon
%{_datadir}/cinnamon/*
%{_datadir}/xsessions/cinnamon*.desktop
%dir %{python3_sitelib}/cinnamon
%{python3_sitelib}/cinnamon/*
%{_mandir}/man1/cinnamon*.1*
%{_datadir}/icons/hicolor/24x24/actions/cinnamon-*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg
%doc AUTHORS COPYING
#%doc NEWS README

#%files apidocs
#%defattr(-,root,root)
#%{_datadir}/gtk-doc/html/%{name}*

%changelog
* Sun Oct 30 2022 Automatic Build System <autodist@mambasoft.it> 5.4.12-1mamba
- automatic version update by autodist

* Thu Nov 14 2019 Automatic Build System <autodist@mambasoft.it> 4.2.4-1mamba
- automatic version update by autodist

* Thu Jul 04 2019 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Sat Jun 08 2019 Automatic Build System <autodist@mambasoft.it> 4.0.10-1mamba
- automatic version update by autodist

* Thu Dec 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.9-2mamba
- rebuilt with libmozjs 52.6.0

* Sat Sep 22 2018 Automatic Build System <autodist@mambasoft.it> 3.8.9-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.8-2mamba
- rebuilt with libmozjs 52

* Sun Aug 12 2018 Automatic Build System <autodist@mambasoft.it> 3.8.8-1mamba
- automatic version update by autodist

* Wed Dec 27 2017 Automatic Build System <autodist@mambasoft.it> 3.6.7-1mamba
- automatic version update by autodist

* Sat Sep 09 2017 Automatic Build System <autodist@mambasoft.it> 3.4.6-1mamba
- automatic version update by autodist

* Tue Jul 25 2017 Automatic Build System <autodist@mambasoft.it> 3.4.4-1mamba
- automatic version update by autodist

* Fri Jul 21 2017 Automatic Build System <autodist@mambasoft.it> 3.4.3-1mamba
- automatic version update by autodist

* Sun Jan 08 2017 Automatic Build System <autodist@mambasoft.it> 3.2.8-1mamba
- automatic version update by autodist

* Sat Dec 31 2016 Automatic Build System <autodist@mambasoft.it> 3.2.7-1mamba
- automatic version update by autodist

* Mon Dec 05 2016 Automatic Build System <autodist@mambasoft.it> 3.2.2-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Fri Jul 15 2016 Automatic Build System <autodist@mambasoft.it> 3.0.7-1mamba
- automatic version update by autodist

* Fri Jun 24 2016 Automatic Build System <autodist@mambasoft.it> 3.0.6-1mamba
- automatic version update by autodist

* Tue May 31 2016 Automatic Build System <autodist@mambasoft.it> 3.0.5-1mamba
- automatic version update by autodist

* Mon May 23 2016 Automatic Build System <autodist@mambasoft.it> 3.0.4-1mamba
- automatic version update by autodist

* Fri May 20 2016 Automatic Build System <autodist@mambasoft.it> 3.0.3-1mamba
- automatic version update by autodist

* Wed May 11 2016 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic version update by autodist

* Wed May 04 2016 Automatic Build System <autodist@mambasoft.it> 3.0.1-1mamba
- automatic version update by autodist

* Sat Apr 02 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.8-2mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=8.0-1mamba

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 2.8.8-1mamba
- automatic version update by autodist

* Mon Mar 07 2016 Automatic Build System <autodist@mambasoft.it> 2.8.7-1mamba
- automatic version update by autodist

* Fri Nov 27 2015 Automatic Build System <autodist@mambasoft.it> 2.8.6-1mamba
- automatic version update by autodist

* Sat Nov 21 2015 Automatic Build System <autodist@mambasoft.it> 2.8.5-1mamba
- automatic version update by autodist

* Thu Nov 12 2015 Automatic Build System <autodist@mambasoft.it> 2.8.4-1mamba
- automatic version update by autodist

* Mon Nov 09 2015 Automatic Build System <autodist@mambasoft.it> 2.8.3-1mamba
- automatic version update by autodist

* Fri Oct 30 2015 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Wed Oct 28 2015 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Thu Jul 09 2015 Automatic Build System <autodist@mambasoft.it> 2.6.13-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 2.6.12-1mamba
- automatic version update by autodist

* Wed Jul 01 2015 Automatic Build System <autodist@mambasoft.it> 2.6.11-1mamba
- automatic version update by autodist

* Tue Jun 16 2015 Automatic Build System <autodist@mambasoft.it> 2.6.8-5mamba
- automatic version update by autodist

* Tue Jun 16 2015 Automatic Build System <autodist@mambasoft.it> 2.6.8-4mamba
- automatic version update by autodist

* Tue Jun 16 2015 Automatic Build System <autodist@mambasoft.it> 2.6.8-3mamba
- automatic version update by autodist

* Mon Jun 15 2015 Automatic Build System <autodist@mambasoft.it> 2.6.8-2mamba
- automatic version update by autodist

* Sun Jun 14 2015 Automatic Build System <autodist@mambasoft.it> 2.6.8-1mamba
- automatic version update by autodist

* Sun Jun 07 2015 Automatic Build System <autodist@mambasoft.it> 2.6.7-1mamba
- automatic version update by autodist

* Fri Apr 10 2015 Automatic Build System <autodist@mambasoft.it> 2.4.8-1mamba
- automatic version update by autodist

* Tue Mar 31 2015 Automatic Build System <autodist@mambasoft.it> 2.4.7-1mamba
- automatic version update by autodist

* Sun Mar 15 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.6-2mamba
- rebuilt by autoport with build requirements: libpulseaudio-devel>=6.0-1mamba

* Sat Jan 24 2015 Automatic Build System <autodist@mambasoft.it> 2.4.6-1mamba
- automatic version update by autodist

* Thu Nov 27 2014 Automatic Build System <autodist@mambasoft.it> 2.4.5-1mamba
- automatic version update by autodist

* Tue Nov 25 2014 Automatic Build System <autodist@mambasoft.it> 2.4.4-1mamba
- automatic version update by autodist

* Fri Nov 14 2014 Automatic Build System <autodist@mambasoft.it> 2.4.3-1mamba
- automatic version update by autodist

* Mon Nov 10 2014 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Sat Nov 08 2014 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Tue Nov 04 2014 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Sat Aug 30 2014 Automatic Build System <autodist@mambasoft.it> 2.2.16-1mamba
- automatic version update by autodist

* Sun Jun 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.13-1mamba
- update to 2.2.13

* Sat Mar 01 2014 Automatic Build System <autodist@mambasoft.it> 2.0.14-1mamba
- automatic version update by autodist

* Tue Nov 12 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-2mamba
- rebuilt with libcogl 1.16

* Wed Oct 09 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-1mamba
- package created by silvan using the webbuild interface
